Skip to main content
GET
/
mcp
/
{organisationId}
/
sessions
/
{id}
Get a single MCP session with its invocations
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/mcp/{organisationId}/sessions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "mcpSessionId": "<string>",
  "invocations": [
    {
      "toolName": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "argumentsJson": "<string>",
      "resultJson": "<string>",
      "success": true,
      "durationMs": 123,
      "traceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "apiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startedAt": "2023-11-07T05:31:56Z",
  "lastCallAt": "2023-11-07T05:31:56Z",
  "callCount": 123
}

Path Parameters

organisationId
string<uuid>
required
id
string<uuid>
required

Response

OK

mcpSessionId
string
required
invocations
object[]
required
id
string<uuid>
organisationId
string<uuid>
clientId
null | string<uuid>
apiKeyId
null | string<uuid>
startedAt
string<date-time>
lastCallAt
string<date-time>
callCount